# ApplicationFramework
TKPLCAF
PDataStd

# PDataStd_FieldOfHArray1OfHAsciiString Class Reference

`#include <PDataStd_FieldOfHArray1OfHAsciiString.hxx>`

Inheritance diagram for PDataStd_FieldOfHArray1OfHAsciiString:

[legend]

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PDataStd_FieldOfHArray1OfHAsciiString ()
Standard_EXPORT | PDataStd_FieldOfHArray1OfHAsciiString (const Standard_Integer Size)
Standard_EXPORT | PDataStd_FieldOfHArray1OfHAsciiString (const PDataStd_FieldOfHArray1OfHAsciiString &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PDataStd_FieldOfHArray1OfHAsciiString &Other)
void | operator= (const PDataStd_FieldOfHArray1OfHAsciiString &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Handle(PCollection_HAsciiString)&Value)
Standard_EXPORT Handle_PCollection_HAsciiString & | Value (const Standard_Integer Index) const
Handle_PCollection_HAsciiString & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PDataStd_FieldOfHArray1OfHAsciiString ()

## Friends

Standard_EXPORT friend Handle_Standard_Type & | PDataStd_FieldOfHArray1OfHAsciiString_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PDataStd_FieldOfHArray1OfHAsciiString::PDataStd_FieldOfHArray1OfHAsciiString | ( |  | ) |

Standard_EXPORT PDataStd_FieldOfHArray1OfHAsciiString::PDataStd_FieldOfHArray1OfHAsciiString | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PDataStd_FieldOfHArray1OfHAsciiString::PDataStd_FieldOfHArray1OfHAsciiString | ( | const PDataStd_FieldOfHArray1OfHAsciiString & | Varray | ) |

PDataStd_FieldOfHArray1OfHAsciiString::~PDataStd_FieldOfHArray1OfHAsciiString | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PDataStd_FieldOfHArray1OfHAsciiString::Assign | ( | const PDataStd_FieldOfHArray1OfHAsciiString & | Other | ) |

Standard_EXPORT void PDataStd_FieldOfHArray1OfHAsciiString::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PDataStd_FieldOfHArray1OfHAsciiString::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PDataStd_FieldOfHArray1OfHAsciiString::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PDataStd_FieldOfHArray1OfHAsciiString::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Handle_PCollection_HAsciiString& PDataStd_FieldOfHArray1OfHAsciiString::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PDataStd_FieldOfHArray1OfHAsciiString::operator= | ( | const PDataStd_FieldOfHArray1OfHAsciiString & | Other | ) | `[inline]`

Standard_EXPORT void PDataStd_FieldOfHArray1OfHAsciiString::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PDataStd_FieldOfHArray1OfHAsciiString::SetValue | ( | const Standard_Integer | Index,
|  | const Handle(PCollection_HAsciiString)& | Value
| ) |

Standard_EXPORT Handle_PCollection_HAsciiString& PDataStd_FieldOfHArray1OfHAsciiString::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PDataStd_FieldOfHArray1OfHAsciiString_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PDataStd_FieldOfHArray1OfHAsciiString.hxx